Returns a schema definition for provided schema name
curl --request GET \
--url http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"schemaName": "<string>",
"collections": [
{
"name": "<string>",
"columns": [
{
"name": "<string>",
"type": "<string>",
"key": true,
"tags": {}
}
],
"tags": {}
}
],
"relations": [
{
"source": "<string>",
"sourceKey": "<string>",
"target": "<string>",
"targetKey": "<string>",
"type": "RELATION"
}
],
"positionConfiguration": {}
}Returns a schema definition for provided schema name
Returns a schema definition for provided schema name
curl --request GET \
--url http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/connections/{connectionId}/schema/{schemaName}/describe")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"schemaName": "<string>",
"collections": [
{
"name": "<string>",
"columns": [
{
"name": "<string>",
"type": "<string>",
"key": true,
"tags": {}
}
],
"tags": {}
}
],
"relations": [
{
"source": "<string>",
"sourceKey": "<string>",
"target": "<string>",
"targetKey": "<string>",
"type": "RELATION"
}
],
"positionConfiguration": {}
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Query Parameters
The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors
Response
200 - application/vnd.composer.v3+json
OK
Defines a connection schema payload
Was this page helpful?